%define modname amf
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A61_%{modname}.ini

Summary:	ActionScript Message Format extension
Name:		php-%{modname}
Version:	0.9.2
Release:	%mkrel 18
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/amfext/
Source0:	http://pecl.php.net/get/amfext-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	file

%description
Allows to encode and decode PHP data in ActionScript Message Format (AMF)
version 0 and 3

%prep

%setup -q -n amfext-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'



%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS ChangeLog LICENSE README package*.xml amfext.php amf_sb.php docs/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.9.2-18.mga6
+ Revision: 958269
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-17.mga5
+ Revision: 745335
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-16.mga5
+ Revision: 687094
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 0.9.2-15.mga5
+ Revision: 616526
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 0.9.2-14.mga4
+ Revision: 567634
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-13.mga4
+ Revision: 527783
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.9.2-12.mga4
+ Revision: 442613
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.9.2-11.mga3
+ Revision: 393238
- rebuilt for php-5.4.11

* Mon Jan 14 2013 spuhler <spuhler> 0.9.2-10.mga3
+ Revision: 381838
- removed peclpatch
  Replaced sourced with current upstream

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.9.2-9.mga2
+ Revision: 223854
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.9.2-8.mga2
+ Revision: 185038
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.9.2-7.mga1
+ Revision: 47642
- removed buildroot definition from .spec
- imported package php-amf


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-7mdv2011.0
+ Revision: 629760
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-6mdv2011.0
+ Revision: 628059
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-5mdv2011.0
+ Revision: 600456
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-4mdv2011.0
+ Revision: 588738
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-3mdv2010.1
+ Revision: 514512
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdv2010.1
+ Revision: 485335
- rebuilt for php-5.3.2RC1

* Sun Dec 27 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdv2010.1
+ Revision: 482739
- fix build
- rebuilt against php-5.3.1
- 0.9.2
- rebuild
- rebuilt for php-5.3.0RC2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-11mdv2009.1
+ Revision: 346390
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-10mdv2009.1
+ Revision: 341704
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-9mdv2009.1
+ Revision: 321700
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-8mdv2009.1
+ Revision: 310245
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-7mdv2009.0
+ Revision: 238373
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-6mdv2009.0
+ Revision: 200169
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-5mdv2008.1
+ Revision: 162211
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-4mdv2008.1
+ Revision: 107601
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-3mdv2008.0
+ Revision: 77525
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdv2008.0
+ Revision: 39480
- use distro conditional -fstack-protector

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdv2008.0
+ Revision: 36522
- Import php-amf



* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdv2008.0
- initial Mandriva package
